KPAT(6)

NAME
kpat - A highly addictive card game.

SYNOPSIS

kpat [--solvegame file] [--solve num] [--start num] [--end num] [--gametype game] [--testdir directory] [--generate] [file]

DESCRIPTION

KPatience is a compendium of several well known patience card games, ranging from the well known Klondike and Freecell, to lesser known games such as Grandfather's Clock and Mod3. In all there are 12 variations for you to while away time.

OPTIONS

This program follows the usual GNU command line syntax, with long options starting with two dashes (`--'). A summary of the options supported by kpat is included below.

-h --help
    This lists the options available at the command line

-v --version
    Lists version information for KPatience

--solvegame file
    Try to find a solution to the given savegame

--solve num
    Dealer to solve (debug)

--start num
    Game range start (default 0:INT_MAX)

--end num
    Game range end (default start:start if start given)

--gametype game
    Skip the selection screen and load a particular game type. Valid values are: acesup, fortyeight, freecell, golf, grandfather, grandfathersclock, gypsy, klondike, mod3, simplesimon, spider, yukon

--testdir directory
    Directory with test cases

--generate
    Generate random test cases

--author
    Lists KPatience's authors in the terminal window

--license
    Shows license information

--desktopfile file name
    The base file name of the desktop entry for this application.

file
    File to load

SEE ALSO
    More detailed user documentation is available from help:/kpat (either enter this URL into Konqueror, or run khelpcenter help:/kpat).
    kf5options(7)
    qt5options(7)

AUTHOR

KPatience is by:
    Paul Olav Tvete
    Mario Weilguni <mweilguni@kde.org>
    Matthias Ettrich <ettrich@kde.org>
    Rodolfo Borges <barrett@labma.ufrj.br>
    Peter H. Ruegg <kpat@incense.org>
    Michael Koch <koch@kde.org>
    Marcus Meissner <mm@caldera.de>
    Shlomi Fish <shlomif@vipe.technion.ac.il>
    Stephan Kulow <coolo@kde.org>